unit uViewConfiguracionDocObra;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewConfiguracionBase, cxControls, cxContainer, cxEdit, cxTextEdit, cxMemo,
  cxRichEdit, uViewBase, JvExControls, JvGradientHeaderPanel, StdCtrls, ExtCtrls,
  ComCtrls, uCustomView, uViewDetallesBase, uViewDetallesDTO,
  uViewDetallesArticulos, uViewConfiguracionCapitulo;

type
  TfrViewConfiguracionDocObra = class(TfrViewConfiguracionBase)
    paginas: TPageControl;
    pagNotas: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    ePlazosEntrega: TMemo;
    eFormaPago: TMemo;
    eObservaciones: TMemo;
    pagCapitulo: TTabSheet;
    frViewConfiguracionCapitulo: TfrViewConfiguracionCapitulo;
    pagCondiciones: TTabSheet;
    eCondiciones: TcxRichEdit;
    pagCalidades: TTabSheet;
    eCalidades: TcxRichEdit;
  public
    class function GetViewClass : TClass; override;
    class function DarEtiqueta : String; override;
    procedure CargarValores; override;
    procedure GuardarValores; override;
  end;

var
  frViewConfiguracionDocObra: TfrViewConfiguracionDocObra;

implementation
{$R *.dfm}
{ TfrViewConfiguracionDocOBRA }

uses uFactuGES_App, uConfiguracionController, uPresupuestosClienteController,
uBizDetallesPresupuestoCliente, uDetallesPresupuestoClienteController;

procedure TfrViewConfiguracionDocObra.CargarValores;
begin
  inherited;
  eFormaPago.Lines.Clear;
  eFormaPago.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_FORMA_PAGO_OBRA);
  ePlazosEntrega.Lines.Clear;
  ePlazosEntrega.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_PLAZOS_ENTREGA_OBRA);
  eObservaciones.Lines.Clear;
  eObservaciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_OBSERVACIONES_OBRA);

  eCalidades.Lines.Clear;
  eCalidades.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CALIDADES_OBRA);

  eCondiciones.Lines.Clear;
  eCondiciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CONDICIONES_OBRA);

  frViewConfiguracionCapitulo.Controller := TDetallesPresupuestoClienteController.Create;
  frViewConfiguracionCapitulo.Detalles := (frViewConfiguracionCapitulo.Controller as IDetallesPresupuestoClienteController).BuscarCapitulo(TIPO_CAPITULO_O);
end;

class function TfrViewConfiguracionDocObra.DarEtiqueta: String;
begin
  Result := 'Documentos obra';
end;

class function TfrViewConfiguracionDocObra.GetViewClass: TClass;
begin
  Result := TfrViewConfiguracionDocOBRA;
end;

procedure TfrViewConfiguracionDocObra.GuardarValores;
begin
  inherited;
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_FORMA_PAGO_OBRA, eFormaPago.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_PLAZOS_ENTREGA_OBRA, ePlazosEntrega.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_OBSERVACIONES_OBRA, eObservaciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CONDICIONES_OBRA, eCondiciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CALIDADES_OBRA, eCalidades.Text);  

  frViewConfiguracionCapitulo.Detalles.DataTable.ApplyUpdates;  
end;


end.
